GitHub review connections
Disconnect GitHub repository
Disconnect a GitHub repository and revoke its stored user authorization.
DELETE
/
v1
/
github-connections
/
{owner}
/
{repo}
Disconnect GitHub repository
curl --request DELETE \
--url https://api.getmillwork.dev/v1/github-connections/{owner}/{repo} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/github-connections/{owner}/{repo}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"<unknown>"{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}⌘I
Disconnect GitHub repository
curl --request DELETE \
--url https://api.getmillwork.dev/v1/github-connections/{owner}/{repo} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/github-connections/{owner}/{repo}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"<unknown>"{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}